
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>王亟亟的Python学习之路（五）-dictionary，set,函数，函数参数 / iVAN</title>

    <meta name="description" content="王亟亟的Python学习之路（五）-dictionary，set,函数，函数参数 转载请注明出处王亟亟的大牛之路 上一篇说的是循环,条件,Range,list和tuple,今天将从函数(方法)开始进一步的学习 -dictionary -set -函数 -函数参数 dictionary 键-值(key-value)存储,具有极快的查找速度.为什么反复提起查询速度,因为如果你一个用list只是为了获取里面X元素内容的话性能是相对比较查的,极力推荐&quot;字典&quot;,字典也在第三片文章中有列出,但是这里还是再丰富下他的一些常用方法. 如何获检索dic内的值 dic={'w ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">王亟亟的Python学习之路（五）-dictionary，set,函数，函数参数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>转载请注明出处<a href="http://blog.csdn.net/ddwhan0123" rel="external nofollow noreferrer">王亟亟的大牛之路</a></h3>
<p>上一篇说的是<a href="http://blog.csdn.net/ddwhan0123/article/details/49588757" rel="external nofollow noreferrer">循环，条件，Range，list和tuple</a>，今天将从函数（方法）开始进一步的学习</p>
<p>-<strong>dictionary</strong> <br />
-<strong>set</strong> <br />
-<strong>函数</strong> <br />
-<strong>函数参数</strong></p>
<hr>
<h4>dictionary</h4>
<p>键-值（key-value）存储，具有极快的查找速度。为什么反复提起查询速度，因为如果你一个用list只是为了获取里面X元素内容的话性能是相对比较查的，极力推荐“字典”，字典也在第三片文章中有列出，但是这里还是再丰富下他的一些常用方法。</p>
<p><em>如何获检索dic内的值</em></p>
<pre><code>dic={'wjj':185,'wmm':175}
print('第6行检索dictionary',dic['wjj'])
结果：
第6行检索dictionary 185</code></pre>
<p><em>判断某个key是否存在于字典中</em></p>
<pre><code>print('第8行，判断某个key是否在字典里','wdd' in dic)
结果：
第8行，判断某个key是否在字典里 False（存在为True，不存在为False）</code></pre>
<p><em>也可以使用get的方法，并且可以指定返回值</em></p>
<pre><code>print('第10行，如果没get到就返回自己赋予的值',dic.get('wj1j',3))
结果：
第10行，如果没get到就返回自己赋予的值 3

print('第11行，如果没get到就返回None',dic.get('wj1j'))
结果：
第11行，如果没get到就返回None None

</code></pre>
<p><em>如何添加某个键值对？</em></p>
<pre><code>dic.setdefault('wgg',102)
结果：
{'wjj': 185, 'wmm': 175, 'wgg': 102}</code></pre>
<p><em>如何移除某个键值对？</em></p>
<pre><code>dic.pop('wmm')
print('第16行移除wmm后的效果',dic)
结果：
第16行移除wmm后的效果 {'wjj': 185, 'wgg': 102}</code></pre>
<p><strong>和list比较，dict有以下几个特点：</strong></p>
<p>查找和插入的速度极快，不会随着key的增加而增加； <br />
需要占用大量的内存，内存浪费多。</p>
<p><strong>而list相反：</strong></p>
<p>查找和插入的时间随着元素的增加而增加； <br />
占用空间小，浪费内存很少。</p>
<hr>
<h4>set</h4>
<p>set和dict类似，也是一组key的集合，但不存储value。由于key不能重复，所以，在set中，没有重复的key，类似于list和dict的结合体。</p>
<p><em>如何创建set？</em> <br />
再次说明，set会自动去重</p>
<pre><code>sets=set([1,1,1,3,6,3])
print('第20行 创建set,重复部分会被去除',sets)
结果：
第20行 创建set,重复部分会被去除 {1, 3, 6}</code></pre>
<p><em>如何向set里添加元素？</em></p>
<p>再次说明：set是无序的</p>
<pre><code>sets.add('12')

运行第一次结果：
第23行 {1, 3, 6, '12'}

运行多次结果：
第23行 {1, 3, '12', 6}</code></pre>
<p><em>如何删除某一个元素？</em> <br />
set的remove删除的是以某个键为参数，而非下标</p>
<pre><code>sets.remove(1)
print('第26行',sets)
结果：
第26行 {3, '12', 6}</code></pre>
<hr>
<h4>函数</h4>
<p><em>什么是函数？</em></p>
<blockquote><p>“函数”是从英文function翻译过来的，其实，function在英文中的意思即是“函数”，也是“功能”。从本质意义上来说，函数就是用来完成一定功能的。这样对函数的概念就很好理解了，所谓函数名就是给该功能起个名字，如果该功能是用来实现数学运算的，就是数学函数。</p></blockquote>
<p>按照OOP的理论通俗的说，万物皆对象，对象有他的属性和方法。 <br />
如，人：身高，体重，长相 等等等都是他的属性。穿增高鞋，使他变高了，这个行为就是他的方法。</p>
<p>Python有许多大妞们已经写好的方法，这里贴一下，以后肯定用的到：<a href="https://docs.python.org/3/library/functions.html#all" rel="external nofollow noreferrer">https://docs.python.org/3/library/functions.html#all</a></p>
<p>其实我们常用的 print()也是Python给我们写好的方法，不是么？</p>
<p>列举下SDK内写好的函数：</p>
<pre><code>print('第29行 打印最大值',max(1,21,2,3))
print('第30行 绝对值',abs(-10),abs(100))
print('第31行 遍历是否都为真',all([True,True,True]),all([True,False,True]),all([3&gt;2,True,True]))
print('第31行 遍历部分是否为真',any([True,True,True]),any([True,False,True]),any([3&gt;2,True,True]))

结果：

第29行 打印最大值 21
第30行 绝对值 10 100
第31行 遍历是否都为真 True False True
第31行 遍历部分是否为真 True True True</code></pre>
<p><strong>数据类型转换</strong></p>
<p>数据类型转换是我们碰到常有的事，例如：用户input一个价格为’123’字符串进来，我们需要把他转成整型或者浮点型才可以进行操作。</p>
<p><em>如何在Python中判断食神恶魔数据类型的？</em></p>
<pre><code>print(isinstance(12,str))
结果：
False</code></pre>
<p>简单的数据类型的转换</p>
<p><strong>类型转换,bool 除了0 别的值返回都是 True</strong></p>
<pre><code>
print('第35 打印字符串转数字',int('123'))
print('第36 各种类型转换',str(100)+'你好',float('10.34'),int(17.3124), bool(1))

结果：
第35 打印字符串转数字 123
第36 各种类型转换 100你好 10.34 17 True</code></pre>
<p>函数名其实就是指向一个函数对象的引用，完全可以把函数名赋给一个变量，相当于给这个函数起了一个“别名”：</p>
<pre><code># 变量a指向abs函数
a = max
#所以也可以通过a调用abs函数
print('第41行 函数赋值',a(-1,2，3))

结果：

第41行 函数赋值 3</code></pre>
<p>在Python中，定义一个函数要使用def语句，依次写出函数名、括号、括号中的参数和冒号:，然后，在缩进块中编写函数体，函数的返回值用return语句返回。</p>
<p>一般格式：</p>
<pre><code>def  函数名（参数列表）：
     函数体</code></pre>
<p>事例：</p>
<pre><code>def strToInt(str):
    intValue=int(str)
    return intValue
#调用函数
print('第47行 打印有返回值的自定义函数',strToInt('10086'))

结果：
第47行 打印有返回值的自定义函数 10086</code></pre>
<p>如果我的函数没有返回值那怎么办？那没有返回值的函数实质返回了什么？</p>
<p><strong>如果没有return语句，函数执行完毕后也会返回结果，只是结果为None。</strong></p>
<pre><code>intVBal=1
def intToBool(intVBal):
    print('第52行转数据类型',bool(intVBal))

intToBool(intVBal)
print('第55行 显示返回值',intToBool(intVBal))

结果：
#因为又调用了一次函数，所以多打印了一行
第52行转数据类型 True
第52行转数据类型 True
第55行 显示返回值 None</code></pre>
<p>抛异常：</p>
<p>调用函数时，如果参数个数不对，Python解释器会自动检查出来，并抛出TypeError。 <br />
但是如果参数类型不对，Python解释器就无法帮我们检查。</p>
<p>但是我们可以先检测出问题，然后手动的抛出异常</p>
<pre><code>def wjj(x):
    if not isinstance(x, (int, float)):
        raise TypeError('bad type')
    if x &gt;= 0:
        return x
    else:
        return -x
结果：

&gt; wjj('A')
Traceback (most recent call last):
  File "&lt;stdin&gt;", line 1, in &lt;module&gt;
  File "&lt;stdin&gt;", line 3, in wjj
TypeError: bad type</code></pre>
<p><em>Python的函数可以返回多个值吗？</em></p>
<p>可以，看例子</p>
<pre><code>def reMoreVal(x,y):
    return x,y

print('第70行 返回多个值',reMoreVal(1,'a'))

结果：

第70行 返回多个值 (1, 'a')</code></pre>
<p><strong>Python的函数返回多值其实就是返回一个tuple。</strong></p>
<hr>
<h5>匿名函数</h5>
<p>addAll=lambda arg1,arg2,arg3:arg1+arg2+arg3 <br />
print(‘第93行打印他们的合’,addAll(2,3,4))</p>
<hr>
<h4>函数参数</h4>
<p>函数参数其实也就是我们传入函数的值，有些函数没有参数，有些函数有一个参数或者多个参数，甚至可以传入None</p>
<p>下面例子就是刚才的2个返回值的函数，他也传入了两个值</p>
<pre><code>def reMoreVal(x,y):
    return x,y</code></pre>
<p>那么问题来了，如果我一个方法有好多个参数，但是有些参数是可选项怎么办？</p>
<p>可以使用，<em>默认参数</em></p>
<pre><code>def printInfo( name, age = 35 ):
    print("Name: ", name)
    print("Age ", age)
    return

#调用printinfo函数
printInfo( age=50, name="miki" )
printInfo( name="miki" )

结果：

Name:  miki
Age  50
Name:  miki
Age  35</code></pre>
<p>默认参数降低了函数调用的难度，而一旦需要更复杂的调用时，又可以传递更多的参数来实现。无论是简单调用还是复杂调用，函数只需要定义一个。 <br /><strong>使用默认参数必须以name=”miki” 一般的键值对的形式传入</strong></p>
<p>如果，我传入的参数的数值，我自己都不知道怎么办，如传入一个list,tuple等？ <br />
可以用<strong>可变参数</strong></p>
<pre><code>#不定长参数
def printMore(value,*more):
    print(value)
    for val in more:
        print(val,end=' ')
    print()
    return
printMore('aaa',1,2,3)

结果：

aaa
1 2 3 </code></pre>
<p>*more就是代表着我们那个不确定值的参数 <br />
传入a=[1,2,3]和1,2,3为同一效果</p>
<p>除了传入可变参数之外还可以传入<strong>关键字参数</strong>，关键字参数允许你传入0个或任意个含参数名的参数，这些关键字参数在函数内部自动组装为一个dict</p>
<pre><code>def people(name, age, **kw):
    print('name:', name, 'age:', age, 'other:', kw)
#调用
people('Bob', 35, city='ShangHai')

结果：

name: Bob age: 35 other: {'city': 'ShangHai'}

</code></pre>
<p>如果要对这些关键字参数进行限制，就要用<strong>命名关键字参数</strong></p>
<p>如果要限制关键字参数的名字，就可以用命名关键字参数，例如，只接收city和job作为关键字参数。这种方式定义的函数如下：</p>
<p><em>*后面的参数被视为命名关键字参数。</em></p>
<pre><code>def people(name, age, *, city, job,gender):
    print(name, age, city, job,gender)
</code></pre>
<p>命名关键字参数必须传入参数名，这和位置参数不同。如果没有传入参数名，调用将报错</p>
<p>但是如果<strong>命名关键字参数</strong>有默认值，调用时，可不传入参数 <br />
如：</p>
<pre><code>def people(name, age, *, city='Beijing', job):
    print(name, age, city, job)

people('wjj', 24, job='teacher')
wjj 24 Beijing teacher</code></pre>
<p>Python的函数具有非常灵活的参数形态，既可以实现简单的调用，又可以传入非常复杂的参数。</p>
<p>默认参数一定要用不可变对象，如果是可变对象，程序运行时会有逻辑错误！</p>
<p>要注意定义可变参数和关键字参数的语法：</p>
<p>*args是可变参数，args接收的是一个tuple；</p>
<p>**kw是关键字参数，kw接收的是一个dict。</p>
<p>使用*args和**kw是Python的习惯写法，当然也可以用其他参数名，但最好使用习惯用法。</p>
<p>命名的关键字参数是为了限制调用者可以传入的参数名，同时可以提供默认值。</p>
<p>定义命名的关键字参数不要忘了写分隔符*，否则定义的将是位置参数。</p>
<p>跟以前一样，今天的示例代码已经传到git,运行如下： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTExMDMxNjU1MDg1MzU=.jpg"></p>
<p>源码地址：<a href="https://github.com/ddwhan0123/PythonExample/blob/master/%E7%A4%BA%E4%BE%8B/l3demo.py" rel="external nofollow noreferrer">https://github.com/ddwhan0123/PythonExample/blob/master/%E7%A4%BA%E4%BE%8B/l3demo.py</a></p>
<p>麻烦点个赞，谢谢 <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTExMDMxNjU4NTgxNTI=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:54:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>王亟亟的Python学习之路（五）-dictionary，set,函数，函数参数的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDenPvb.html" rel="bookmark">王亟亟的Python学习之路（10）-匿名函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:王亟亟的大牛之路 又有好多天没有碰Python的东西了,下午抽出点时间就补一篇介绍匿名函数 匿名函数在很多语言里都有,它可以使代码更加简洁.紧凑,模块化程度更高. 在jdk8里发现了lambda表达式的影子 以前我们要循环一个集合需要这样 List&lt;Integer&gt; numbers = Arrays.asList(1, 2, 3, 4, 5, 6); for (int number : numbers) { System.out.println(number); } 现在可以这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWNkKp.html" rel="bookmark">王亟亟的Python学习之路（六）-递归，迭代，列表生成式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:王亟亟的大牛之路 最近事情比较多,也没什么时间学习.(借口,明明在偷懒) 难得空下来,就继续把文章写下去.(玩手游时间更多) 在贴今天要写的内容之前还是先说一下某些概念!(概念还是很重要的,虽然更重要的是理解) 什么是递归?(维基来的) 白话的理解就是某函数自己调用自己 大牛的分析: 递归的基本思想是把规模大的问题转化为规模小的相似的子问题来解决.在函数实现时,因为解决大问题的方法和解决小问题的方法往往是同一个方法,所以就产生了函数调用它自身的情况.另外这个解决问题的函数必须有明			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnK8EKz.html" rel="bookmark">王亟亟的Python学习之路（四）-循环，条件，Range，list和tuple</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:王亟亟的大牛之路 这是本次Python学习历程的第4篇,之前的文章:传送门 这篇主要讲以下几个知识点 - 循环 - 条件语句 - range函数 - list - tuple 循环 Python中的循环语句有 for 和 while.同样需要注意冒号和缩进.另外,在Python中没有do..while循环. 需要注意冒号和缩进,因为没有{}来帮助我们把循环里面的内容封起来 while循环 while 判断逻辑: 业务内容 或者for-in循环 names = ['12',12,			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRDN8b.html" rel="bookmark">王亟亟的Python学习之路（一）-环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				轉載請注明出處王亟亟的大牛之路 楼主因为正好对Python这门高级语言感兴趣,然后经过一定的学习,总结下一些经验和知识点,分享给大家,这一系列会由浅至深,因为本身就不是从业余Python相关开发纯粹兴趣,如有不对请提出,谢谢哈! 言归正传,这篇讲下简单的环境搭建,百度其实也有,但是还要自己找资源,楼主在这边给各位客官都整理好了,您只需要下载一下就好了,哈哈 现在主流的有Python2.x系列和3.x系列.我的一系列文章将从3.X的版本展开,请大家理解,这其中还是会有很大区别的! 首先 贴下载地址			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94XJ3b.html" rel="bookmark">王亟亟的Python学习之路（九）-sorted&lpar;&rpar;排序以及简单字符串处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:王亟亟的大牛之路 这一片就讲2个知识点,1排序,2字符串处理 Python在排序操作的这一部分做了很好的封装,我们不需要写太多代码就可以实现排序的效果,先贴下Java的实现.(这里不是黑Java!!!!) public class 直接插入排序 { public static void main(String[] args) { int[] a={49,38,65,97,76,13,27,49,78,34,12,64,1}; System.out.println(&quot;排序之前:&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40Pjjz.html" rel="bookmark">王亟亟的Python学习之路（二）-项目创建以及要点提及</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处王亟亟的大牛之路 首先,说一下上一篇为什么虽说我们是从3.X开始说起,那就要说明下2个版本的区别(上下版本几乎没关系) Python的3​​.0版本,常被称为Python 3000,或简称Py3k.相对于Python的早期版本,这是一个较大的升级. 为了不带入过多的累赘,Python 3.0在设计的时候没有考虑向下相容.不兼容哦!! 许多针对早期Python版本设计的程式都无法在Python 3.0上正常执行. 为了照顾现有程式,Python 2.6作为一个过渡版本,基本使用了Py			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZynBz.html" rel="bookmark">王亟亟的Python学习之路（三）-基础语法以及基本数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:王亟亟的大牛之路 理论知识虽然很枯燥,但是你以后的高度取决于你基础的厚度 每种语言多多少少都有它的保留关键字 JAVA的: Python的: 那关键字是什么? 电脑语言里事先定义的,有特别意义的标识符,有时又叫保留字,还有特别意义的变量. 注释 java: -单行 // -多行/** **/ Python: 单行# 多行''' 数据类型 整数:诸如 1 2 3 -1 -2 10 0 这种都算,当然计算机是 2进制干活的,所以 2进制 10进制 16进制的整形数据都算....你懂的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgKP8M.html" rel="bookmark">王亟亟的Python学习之路（八）-函数式编程，map&lpar;&rpar;&comma;reduce&lpar;&rpar;&comma;filter&lpar;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:王亟亟的大牛之路 首先在这里祝愿大家,新年快乐,工作顺利,BUG少少!!! 本来说是在春节假期内继续维持着写文章的进度,但是还是偷懒了几天(打了4天SC2哈哈哈) 今天上的是关于Python的文章,毕竟在亲戚家拜年,懒得插各类手机调试什么的,况且确实好久没有弄Python了,就写了,废话不多,开始正题!! 函数式编程 函数是什么? 把复杂的操作化为简单的函数分解成简单的操作,这种操作就是面向过程,也就是C这类的实现的大体概念. 函数式是什么? 函数没有变量,任意一个函数,只要输入			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4egYYb.html" rel="bookmark">王亟亟的Python学习之路（10）-函数对象的作用域&comma;函数作为返回值&comma;闭包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:王亟亟的大牛之路 本来打算把工作的事周末做掉点,但是发现在外面浪并不能迅速集中投入,为了避免不必要的BUG 还是明天在家做吧,那么久写一篇Python的文章吧,毕竟背着Mac出门不做些太对不起自己的肩膀了 废话不多,直接说内容,这篇文章的内容大致是围绕&quot;闭包&quot;走的,介绍下相关理论知识 作用域:对象有其存活的范围 闭包:内部函数可以引用外部函数的参数和局部变量(是不是听得云里雾里的,没事 看例子就明白了) 就像循环内声明的对象,除了循环也就无法获取他的值一样.就像在jav			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA76ez.html" rel="bookmark" class="title">王勇详谈 Linux Deepin 背后的故事</a>
					<div>
						采访嘉宾:王勇,Linux Deepin技术开发负责人.Emacs玩家,熟悉 C.Python.JS.elisp.Java.Haskell 等语言, 擅长于图形化程序开发.Linux Deepin有些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy2lPp.html" rel="bookmark" class="title">Web标准建站校验和常见错误</a>
					<div>
						web|web标准|错误 我们使用XHTML+CSS来重新设计我们的网站,如何知道自己制作的页面真的符合web标准?W3C和一些志愿者网站提供了在线校验程序,来帮助我们检查页面是否符合标准,并提供了修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJmmqp.html" rel="bookmark" class="title">在ASP编程中nothing代表什么意思&quest;</a>
					<div>
						比如:Set Connobject=nothing nothing如同英文单词字面意思,没有,没有那个,没有这个,没有东西Set Connobject=nothing意思是指使对象Connobject ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKlZAM.html" rel="bookmark" class="title">使用jpgraph创建笛卡尔图表源码实例教程</a>
					<div>
						在介绍完大部分php jpgraph安装配置教程后,即将开始介绍如何使用jpgraph进行图表的绘制,在之前的jpgraph教程中我已介绍过如何使用jpgraph创建折线图和柱状图实例教程,本教程将会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYVglp.html" rel="bookmark" class="title">Hiding&sol;Manipulating Databound Items（转载www&period;aspallia</a>
					<div>
						ASP.NET offers a powerful way to render information from a database or XML file: Databinding. Howeve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLyAWz.html" rel="bookmark" class="title">有效的设计沟通和探讨的方式&colon;即兴创作</a>
					<div>
						Jazz是门很奇妙的艺术,尤其是音乐家们即兴创作时互相激发.灵感四溢,一气呵成,酣畅之至.这种状态,恐怕也是各位设计师渴望的境界.如果你发现自己整天陷于琐碎的细节与无谓的争吵时,不妨尝试&quot;即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAAAvb.html" rel="bookmark" class="title">ASP中遍历和操作Application对象的集合</a>
					<div>
						为了能够正常使用,必须把它们放到服务器上的一个虚拟应用程序内,并且把所提供的global.asa文件放到该应用程序的根目录中.最简单的办法是把global.asa文件放到缺省Web网站的根目录(缺省情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwkl9z.html" rel="bookmark" class="title">C语言初学者的困惑-如何由dos向windows转变</a>
					<div>
						很多人学C语言很长一段时间了,还不知C究竟能干什么,以为学习c语言没什么用,纯粹是为了应付学校的考试.更有人说&quot;学C语言?别做如此愚蠢的行为了!赶快学C++吧!&quot;这种看法是不对的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E3XrM.html" rel="bookmark" class="title">Windows 8如何关闭系统保护以节约磁盘空间？</a>
					<div>
						  1.鼠标右键点击计算机,选择&quot;属性&quot;; 2.选择&quot;系统保护&quot;; 3.选择需要关闭系统保护的磁盘; 4.点击配置; 5.点击禁用系统保护,点击&quot;应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArEWZp.html" rel="bookmark" class="title">Win7如何设置开机自动运行</a>
					<div>
						  一.软件自带法: 大多数软件都提供开机自启动的功能,以酷狗音乐为例,在设置中找到&quot;开机时自动启动酷狗&quot;,勾上前面的勾即可实现开机自动启动,如下图所示: 二.修改注册表法: 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3dOmp.html" rel="bookmark" class="title">Win8系统防火墙还原默认值如何设置</a>
					<div>
						  防火墙是windows系统自带的一项安全功能,通过防火墙相关设置能够很好的保护系统的安全不易被黑客攻击或病毒感染,而每个用户对系统的安全要求也不一样,虽然可以使用第三方安全软件来保护系统,但有些用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3nRyp.html" rel="bookmark" class="title">5分钟实现VS2010整合NUnit进行单元测试</a>
					<div>
						1.下载安装NUnit(最新win版本为NUnit-2.6.0.12051.msi) http://www.nunit.org/index.php?p=download 2.下载并安装VS的Visua ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MxoOP0b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA2MjQwOTA2NTc2ODY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MxoOP0b.html" rel="bookmark" class="title">IIS 服务或万维网发布服务，或者依赖这 服务可能在启动期间发生错误或者已禁用</a>
					<div>
						具体错误信息如下: 解决方案: 在服务中禁用以下3个服务自动启动: Net.Msmq Listener Adapter:IIS相关的WCF MSMQ激活服务Net.Pipe Listener Adap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZwgJb.html" rel="bookmark" class="title">application management&comma;服务未启&comma;但我已经启动</a>
					<div>
						问题描述 早上做实验:wsadmin&gt;printAdminApp.list()WASX7015E:Exceptionrunningcommand:&quot;AdminApp.list()&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLqJ8p.html" rel="bookmark" class="title">struts2实现用户登录 并能查询数据库中的数据显示出来  按条件查询</a>
					<div>
						问题描述 struts2实现用户登录 并能查询数据库中的数据显示出来 按条件查询 struts2实现用户登录 并能查询数据库中的数据显示出来 按条件查询,多张表按条件查询 我要例子 主要的功能是显示数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEvX3M.html" rel="bookmark" class="title">为你的Win XP瘦身的图文教程第1&sol;2页&lowbar;WindowsXP</a>
					<div>
						现在的硬盘越来越大,越来越便宜,不过软件的体积增长更快,并且现在仍然有不少人还在用20GB以及更小的硬盘.怎样满足软件对硬盘的要求?先在臃肿的Windows操作系统上打打主意吧.  以下的操作全部以安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7vVLM.html" rel="bookmark" class="title">winform-winfrom 关于控件集合的例子 请看下面代码</a>
					<div>
						问题描述 winfrom 关于控件集合的例子 请看下面代码 int n = this.Controls.OfType&lt;CheckBox&gt;().Where(x =&gt; x.Checked ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x8Wdb.html" rel="bookmark" class="title">RocketMQ的前世今生</a>
					<div>
						一.前言 阿里巴巴消息中间件起源于2001年的五彩石项目,Notify在这期间应运而生,用于交易核心消息的流转. 至2010年,B2B开始大规模使用ActiveMQ作为消息内核,随着阿里业务的快速发展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xnE4b.html" rel="bookmark" class="title">linearlayout-Android  Linearlayout异常</a>
					<div>
						问题描述 Android Linearlayout异常 代码如下: android.view.InflateException: Binary XML file line #1: Error infl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAENd3M.html" rel="bookmark" class="title">struts2在MyEclipse配置中出现问题</a>
					<div>
						问题描述 Tomcat7,MyeElipse2015CI,jdk1.8导入了需要的jar包但还是会报错java.lang.IllegalArgumentException:Javassistlibra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xO0Kb.html" rel="bookmark" class="title">盘点匿名社交软件</a>
					<div>
						在社交软件领域,以微信.微博为代表的热门应用已经不能满足用户的需求,匿名社交因此迅速崛起.与传统的社交软件相比,匿名社交就像是一场熟人间的&quot;面具&quot;舞会,用户可以在其中畅所欲言而不用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJZ78p.html" rel="bookmark" class="title">java WebService例子</a>
					<div>
						一.Axis安装 1.环境 J2SE SDK 1.3 or 1.4: 我使用 1.4.2 Servlet Container: 我使用的Tomcat 5.0 2.到 http://ws.apache. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWvq5z.html" rel="bookmark" class="title">asp&period;net常用函数收藏第1&sol;2页&lowbar;应用技巧</a>
					<div>
						/// &lt;summary&gt; /// 得到站点用户IP /// &lt;/summary&gt; /// &lt;returns&gt;&lt;/returns&gt; public sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLl0vM.html" rel="bookmark" class="title">Android App开发中使用RecyclerView实现Gallery画廊的实例&lowbar;Android</a>
					<div>
						什么是RecyclerView        RecyclerView是Android 5.0 materials design中的组件之一,相应的还有CardView.Palette等.看名字我们就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkejez.html" rel="bookmark" class="title">数据库设计规范化的五个要求 推荐收藏&lowbar;数据库其它</a>
					<div>
						若符合这两个条件,则可以说明这个数据库的规范化水平还是比较高的.当然这是两个泛泛而谈的指标.为了达到数据库设计规范化的要求,一般来说,需要符合以下五个要求. 要求一:表中应该避免可为空的列. 虽然表中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2k4vM.html" rel="bookmark" class="title">listview-ListView scrollTo不加载</a>
					<div>
						问题描述 ListView scrollTo不加载 现在的需求是实现listView翻页,由于我的Listview每一项的高度不一样,所以用setSelection.scrollToPosition不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Ee7p.html" rel="bookmark" class="title">换IP对排名和收录究竟有没影响&quest;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 刚刚看了一篇文章&lt;继菜鸟利用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NG7jp.html" rel="bookmark" class="title">事务隔离级别</a>
					<div>
						尽管数据库为用户提供了锁的DML操作方式,但直接使用锁管理是非常麻烦的,因此数据库为用户提供了自动锁机制.只要用户指定会话的事务隔离级别,数据库就会分析事务中的SQL语句,然后自动为事务操作的数据资源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPZ3mp.html" rel="bookmark" class="title">新泽西州BPU批准PSE＆G33MW扩展光伏项目</a>
					<div>
						2016年11月30日,美国Public Service Electric and Gas Company宣布,新泽西州公共事业局(BPU)已批准扩建该公用事业的&quot;Solar 4 All&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y789b.html" rel="bookmark" class="title">WEB-INF 下 ckeditor的路径问题&excl;</a>
					<div>
						问题描述 目录结构WebRoot |-ckeditor |-css |-image |-js |-WEB-INF |-lib |-pages |-acticles |-addArticles.jsp  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
